commit:     2fe5b2c796c2316456786a1773e234e624ba8baf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 06:54:02 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 07:17:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fe5b2c7

xfce-base/thunar: Bump to 4.18.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/thunar/Manifest              |  1 +
 xfce-base/thunar/thunar-4.18.10.ebuild | 86 ++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/xfce-base/thunar/Manifest b/xfce-base/thunar/Manifest
index 55325dbd1f63..cbcf500b59ba 100644
--- a/xfce-base/thunar/Manifest
+++ b/xfce-base/thunar/Manifest
@@ -1,3 +1,4 @@
+DIST thunar-4.18.10.tar.bz2 2845756 BLAKE2B 
a344f3ecde3f9b4562253e1f6e07a7d18c3cbcd2a6c7fa159468f5d8115775b18c70bc9a8cf4df3ebfa34731e061e285cbdc4517528b507c2489ab1bfa1e4c2a
 SHA512 
f6b76db2cc69e4f14d46afb3ba602ba88d37b1d9e76e76dcf18949839ac1108c191bdd0158922a732805cfcb85780bbf6c998aedac02b502c8e1d8fcf4cfab32
 DIST thunar-4.18.8.tar.bz2 2844536 BLAKE2B 
dbd61d387f21956edad5f5f614c170b072788b2a1768382127f6fda3bca00afa0816201f364ba476e842fc44800bab3029e89db4aade10f1ab4f86012a4ba90b
 SHA512 
38f1f0af93df873e14d7e85851424c85272defa1c19c3d1f61c79fc6a8c79b16f568240c70237c6b490093447a5d947eab6fdf828f93e432cc4d28100c5cf59b
 DIST thunar-4.18.9.tar.bz2 2846241 BLAKE2B 
2b3ba7738f355d46207a74a3d37fca19403cf1f50c2d1c4e616286e62f98456fc072c3e47246b5562b1f70e34fb6ed9120bebae53095cec971d1cad3c1b01004
 SHA512 
44fd0aec2d12a63db50591124f210f2da2f2d9b0a105191b5e958eec83811578af43deb05990efe417f8dceabb2ea95fcb3af7285d184a9e8c6f36006a601dee
 DIST thunar-4.19.0.tar.bz2 2924690 BLAKE2B 
9d8cf10d3eae16c84489098b28020470b353f970ea561ff8dce2caccd7086ed39cae3796df26489b3a8586c0bd8d008a2d9953017b71cad2a760d498b60c1b15
 SHA512 
1db58776fe39f9f4c2f215b52a2209dac773e8b708e4796752630703531e1ddd9017e32e1fe779c5fcc5d543438bbebf14f510b9361fde22fe0045ac0fd3a87f

diff --git a/xfce-base/thunar/thunar-4.18.10.ebuild 
b/xfce-base/thunar/thunar-4.18.10.ebuild
new file mode 100644
index 000000000000..8a289d8815c0
--- /dev/null
+++ b/xfce-base/thunar/thunar-4.18.10.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="File manager for the Xfce desktop environment"
+HOMEPAGE="
+       https://docs.xfce.org/xfce/thunar/start
+       https://gitlab.xfce.org/xfce/thunar/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0/3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="exif introspection libnotify pcre +trash-panel-plugin udisks"
+
+DEPEND="
+       >=dev-libs/glib-2.66.0
+       >=x11-libs/gdk-pixbuf-2.40.0
+       >=x11-libs/gtk+-3.24.0:3
+       >=xfce-base/exo-4.17.0:=
+       >=xfce-base/libxfce4ui-4.17.6:=
+       >=xfce-base/libxfce4util-4.17.2:=
+       >=xfce-base/xfconf-4.12:=
+       exif? ( >=media-libs/libexif-0.6.19:= )
+       introspection? ( dev-libs/gobject-introspection:= )
+       libnotify? ( >=x11-libs/libnotify-0.7 )
+       pcre? ( >=dev-libs/libpcre2-10.0:= )
+       trash-panel-plugin? ( >=xfce-base/xfce4-panel-4.10:= )
+       udisks? ( dev-libs/libgudev:= )
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-util/desktop-file-utils-0.20-r1
+       x11-misc/shared-mime-info
+       trash-panel-plugin? (
+               >=gnome-base/gvfs-1.18.3
+       )
+       udisks? (
+               >=gnome-base/gvfs-1.18.3[udisks,udev]
+               virtual/udev
+       )
+"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable udisks gudev)
+               $(use_enable libnotify notifications)
+               $(use_enable exif)
+               $(use_enable pcre pcre2)
+               $(use_enable trash-panel-plugin tpa-plugin)
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       elog "If you were using an older Xfce version and Thunar fails to start"
+       elog "with a message similar to:"
+       elog "  Failed to register: Timeout was reached"
+       elog "you may need to reset your xfce4 session:"
+       elog "  rm ~/.cache/sessions/xfce4-session-*"
+       elog "See https://bugs.gentoo.org/698914.";
+
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to